angular.module('admin')
.controller('OrderListController', function($scope, $http, $route, $window){
  $scope.orders = [];
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestOrder();
  };
  
  $scope.reload = function(){
    $scope.requestOrder();
  };

  $scope.requestOrder = function(){
    $http.get('../../api/cvto/orders')
    .success(function(orders){
      $scope.orders = orders;
    })
    .error(function(err){
      $scope.mensagem = 'Não foi possível listar os seus sellers';
    });
  };

  $scope.submeter = function(){
    var start = $scope.start;
    var final = $scope.final;

    var yearStart = start.getFullYear();
    var monthStart = start.getMonth() < 9 ? "0" + (start.getMonth() + 1) : (start.getMonth() + 1);
    var dayStart = start.getDate() < 10 ? "0" + start.getDate() : start.getDate();

    var yearFinal = final.getFullYear();
    var monthFinal = final.getMonth() < 9 ? "0" + (final.getMonth() + 1) : (final.getMonth() + 1);
    var dayFinal = final.getDate() < 10 ? "0" + final.getDate() : final.getDate();

    var dateStart = yearStart+"-"+monthStart+"-"+dayStart;
    var dateFinal = yearFinal+"-"+monthFinal+"-"+dayFinal;

    $http.get("../../api/cvto/orders-data/"+dateStart+"/"+dateFinal)
    .success(function(orders){
      $scope.orders = orders;
    })
    .error(function(err){
      $scope.mensagem = "Não foi possível realizar sua busca, por favor tente novamente!";
    })
  };

})
.controller('OrderIdController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = {};
  $scope.mensagem = '';
  $scope.item = [];
  $scope.name = $window.sessionStorage.name;

  if ($routeParams.orderId) {
    $http.get('../../api/cvto/orders/'+$routeParams.orderId)
    .success(function(order){
      $scope.order = order;
      // criar color
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações da venda';
    })

  }

  $scope.inicio = function(){
    $scope.items();
  };

  $scope.items = function(){
    $http.get('../../api/cvto/items/'+$routeParams.orderId)
    .success(function(item){
      $scope.item = item;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações dos itens da venda';
    })
  }

});
